import {Request, Response} from 'express';
import AccessToken from '../../models/access-token';
import {reportError} from '../../core/utils';
import BanRecord from '../../models/ban-record';

export default async (req: Request, res: Response) => {
    if (req.user.roles.intBanRecordsReader) {
        const records = await BanRecord.getAll();
        res.send({records});
    } else {
        res.status(403).send({error: 'Access denied'});
    }
};
