"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ban_record_1 = require("../../models/ban-record");
const class_transformer_1 = require("class-transformer");
exports.default = async (req, res) => {
    if (req.user.roles.intBanRecordsWriter) {
        const banRecord = class_transformer_1.plainToClass(ban_record_1.default, [req.body])[0];
        banRecord.addedBy = req.user.id;
        const errors = await banRecord.validate();
        if (errors.length) {
            res.status(400).send({
                error: 'Record validation error',
                details: errors.map(e => ({ property: e.property, constraints: e.constraints }))
            });
        }
        else {
            const result = await banRecord.save();
            res.send({ result: 'Record saved', details: result });
        }
    }
    else {
        res.status(403).send({ error: 'Access denied' });
    }
};
//# sourceMappingURL=ban-records-create.js.map